Authenticate user
POST
/api/v1/auth/login
const url = 'https://example.com/api/v1/auth/login';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"email":"hello@example.com","username":"example","password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/auth/login \ --header 'Content-Type: application/json' \ --data '{ "email": "hello@example.com", "username": "example", "password": "example" }'Authenticates a user with email or username and password
Request Body required
Section titled “Request Body required ” Media type application/json
object
email
string format: email
username
string
password
required
string
Example generated
{ "email": "hello@example.com", "username": "example", "password": "example"}Responses
Section titled “ Responses ”User authenticated with auth token
Media type application/json
object
id
required
User ID (15 chars)
string
username
required
Username (3+ chars, alphanumeric with dots)
string
email
required
User email address
string format: email
avatar
Avatar file path
string
verified
Email verification status
boolean
created
string format: date-time
updated
string format: date-time
Example generated
{ "id": "example", "username": "example", "email": "hello@example.com", "avatar": "example", "verified": true, "created": "2026-04-15T12:00:00Z", "updated": "2026-04-15T12:00:00Z"}Bad Request - Invalid credentials
Internal Server Error